
QGIS Application - Bug report #7961

Add feature remain deactivated when toogle editing is on

2013-05-31 07:54 AM - Luca Lanteri

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 16820

Description

When editing is on the "Add feature" remain deactivated. Others tool (move, node...) works fine. 

It happens only with postGIS layer. Tested on Qgis 1.9-00a9a7d on windows 7

Related issues:

Duplicated by QGIS Application - Bug report # 8005: Unable to Add Features to... Closed 2013-06-05

History

#1 - 2013-05-31 07:57 AM - Giovanni Manghi

- Category deleted (GUI)

- Status changed from Open to Feedback

it works here, maybe a problem of permissions on the table?

#2 - 2013-05-31 07:59 AM - Paolo Cavallini

This is not the correct behaviour anyway: if one does not have permissions, the Modify should not be activated.

#3 - 2013-05-31 07:59 AM - Luca Lanteri

Also Cavallini confirms. It's not a problem of grant because it happens also with superuser. Moreover, the move and node tools work fine.

#4 - 2013-05-31 08:00 AM - Giovanni Manghi

mescal72 - wrote:

Also Cavallini confirms. It's not a problem of grant because it happens also with superuser. Moreover, the move and node tools work fine.

then should be a regression, so a blocker.

#5 - 2013-06-02 03:40 AM - Jürgen Fischer

Paolo Cavallini wrote:
This is not the correct behaviour anyway: if one does not have permissions, the Modify should not be activated.

"change geometry" and "add feature" are different things (ie. "INSERT" vs. "UPDATE" permission).

#6 - 2013-06-03 01:22 AM - Luca Lanteri

Jürgen Fischer wrote:

Paolo Cavallini wrote:

This is not the correct behaviour anyway: if one does not have permissions, the Modify should not be activated.

"change geometry" and "add feature" are different things (ie. "INSERT" vs. "UPDATE" permission).

Right, but the same layer works fine with Qgis 1.8, so in this specific case it's not a grant problem.

Can I change the state to blocker or somebody else has to do it?

#7 - 2013-06-03 01:44 AM - Jürgen Fischer

mescal72 - wrote:

"change geometry" and "add feature" are different things (ie. "INSERT" vs. "UPDATE" permission).

Right, but the same layer works fine with Qgis 1.8, so in this specific case it's not a grant problem.

What capabilities does QGIS detect (see vector layer properties, metadata tab)?

#8 - 2013-06-06 05:46 AM - Luca Lanteri

Jürgen Fischer - wrote:

    What capabilities does QGIS detect (see vector layer properties, metadata tab)?

From Layer properties:

Editing capabilities of this layer

Add Features, Delete Features, Change Attribute Values, Fast Access to Features at ID, Change Geometries

#9 - 2013-06-06 09:03 AM - Giovanni Manghi

mescal72 - wrote:

Jürgen Fischer - wrote:

What capabilities does QGIS detect (see vector layer properties, metadata tab)?

From Layer properties:

Editing capabilities of this layer
Add Features, Delete Features, Change Attribute Values, Fast Access to Features at ID, Change Geometries

it seems it misses the

Add Attributes, Delete Attributes

capabilities

#10 - 2013-06-07 03:22 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Feedback to Closed

this should be duplicated of #8005 and was fixed. Please reopen if necessary.
